KMC_TOOLS-KMERS_SUBTRACT(1)

NAME
kmc_tools-kmers_subtract - calculate subtraction of two KMC databases

SYNOPSIS

kmc_tools kmers_subtract <input1 [input1_params]> <input2 [input2_params]> <output [output_params]>

DESCRIPTION

The output database will contains only k-mers that are present in the first input set but absent in the second one. The counter value is equal to the value from the first input set.

OPTIONS

For each input there are additional parameters:

-ci<value>
    exclude k-mers occurring less than <value> times

-cx<value>
    exclude k-mers occurring more of than <value> times

For output there are additional parameters:

-ci<value>
    exclude k-mers occurring less than <value> times

-cx<value>
    exclude k-mers occurring more of than <value> times

-cs<value>
    maximal value of a counter

EXAMPLE

    kmc -k28 file1.fastq kmers1 tmp
    kmc -k28 file2.fastq kmers2 tmp
    kmc_tools kmers_subtract kmers1 kmers2 kmers1_kmers2_subtract -cs200

AUTHOR

KMC was originally written by:

    • Sebastian Deorowicz (

    • Marek Kokot

    • Szymon Grabowski

    • Agnieszka Debudaj-Grabysz

COPYING

KMC is a free software distributed under GNU GPL3 licence for academic, research, and commercial use.